<?php
/**
 * Cleantalk example
 *
 * @package Cleantalk Example
 * @author Сleantalk team (kovalin.a@cleantalk.ru)
 * @copyright (C) 2011 - 2012 Сleantalk team (http://cleantalk.ru)
 * @license GNU/GPL: http://www.gnu.org/copyleft/gpl.html
 * @see http://cleantalk.ru/wiki/doku.php/api
 *
 */

require_once (dirname(__FILE__) . '/cleantalk.class.php');

// Take params from config
$config_url = 'http://moderate.cleantalk.ru';
$config_work_url = 'http://moderate4.cleantalk.ru';
$config_ttl = 43200;
$config_changed = 1349162987;
$auth_key = null; // Set Cleantalk auth key

/**
 * Example 1. Check comment.
 */
$refferrer = null;
if (isset($_SERVER['HTTP_REFERER'])) {
    $refferrer = htmlspecialchars((string) $_SERVER['HTTP_REFERER']);
}

$user_agent = null;
if (isset($_SERVER['HTTP_USER_AGENT'])) {
    $user_agent = htmlspecialchars((string) $_SERVER['HTTP_USER_AGENT']);
}

$sender_info = array(
    'cms_lang' => 'en',
    'REFFERRER' => $refferrer,
    'USER_AGENT' => $user_agent
);
$sender_info = json_encode($sender_info);

// The facility in which to store the query parameters
$ct_request = new CleantalkRequest();

$ct_request->auth_key = $auth_key;
$ct_request->message = 'stop_word';
$ct_request->sender_email = 'tari@gmail.com';
$ct_request->sender_nickname = 'tari';
$ct_request->example = str_repeat('Just text ', 10);
$ct_request->agent = 'testEngine';
$ct_request->info = $sender_info;
$ct_request->sender_ip = null;
$ct_request->sender_id = null;
$ct_request->stoplist_check = 0;
$ct_request->response_lang = 'en';
$ct_request->allow_links = 1;
$ct_request->submit_time = null;
$ct_request->js_on = null;

$ct = new Cleantalk();
$ct->work_url = $config_work_url;
$ct->server_url = $config_url;
$ct->server_ttl = $config_ttl;
$ct->server_changed = $config_changed;

// Check
$ct_result = $ct->isAllowMessage($ct_request);

if ($ct_result->allow == 1) {
    echo 'Comment allowed. Reason ' . $ct_result->comment;
} else {
    echo 'Comment blocked. Reason ' . $ct_result->comment;
}

// If the server has changed, is changing the config
if ($ct->server_change) {
    $config_work_url = $ct->work_url;
    $config_ttl = $ct->server_ttl;
    $config_changed = time();
}




/**
 * Example 2. User registration.
 */
/*
  $ct_request = new CleantalkRequest();
  $ct_request->auth_key = $auth_key;
  $ct_request->sender_email = 'tari@gmail.com';
  $ct_request->sender_nickname = 'tari';
  $ct_request->sender_ip = null;
  $ct_request->sender_id = null;
  $ct_request->agent = 'testEngine';
  $ct_request->response_lang = 'en';
  $ct_request->submit_time = null;
  $ct_request->js_on = null;
  $ct_request->tz = null;


  $ct = new Cleantalk();
  $ct->work_url = $config_work_url;
  $ct->server_url = $config_url;
  $ct->server_ttl = $config_ttl;
  $ct->server_changed = $config_changed;

  $ct_result = $ct->isAllowUser($ct_request);

  if ($ct_result->allow == 1) {
  echo 'User allowed. Reason ' . $ct_result->comment;
  } else {
  echo 'User blocked. Reason ' . $ct_result->comment;
  }

  // If the server has changed, is changing the config
  if ($ct->server_change) {
  $config_work_url = $ct->work_url;
  $config_ttl = $ct->server_ttl;
  $config_changed = time();
  }
 */




/**
 * Example 3. Feedback.
 */
/*
  $request_id = ''; // Set request_id from Cleantalk result
  $allow = 0;
  $ct_request = new CleantalkRequest();
  $ct_request->feedback = $request_id . ':' . $allow;
  $ct_request->auth_key = $auth_key;

  $ct = new Cleantalk();
  $ct->debug = 0;
  $ct->work_url = $config_work_url;
  $ct->server_url = $config_url;
  $ct->server_ttl = $config_ttl;
  $ct->server_changed = $config_ttl;

  $ct_result = $ct->sendFeedback($ct_request);
  echo $ct_result->comment;
 */
?>